<?php

namespace App\Git;

use CzProject\GitPhp\GitRepository;
use DateTime;

class CustomGitRepository extends GitRepository
{
    public function getAllCommits(): array
    {
        $result = $this->run('log', '--pretty=%H,%cI');

        if (empty($result->getOutput())) {
            return [];
        }

        $commits = [];
        foreach ($result->getOutput() as $line) {
            $parts = explode(',', $line);
            $commits[] = [
                'hash' => $parts[0],
                'date' => new DateTime($parts[1]),
            ];
        }

        return $commits;
    }
}